Skip to main content
`Ctrl`+`K`

# PCBJKOKKOS

Defines a preconditioner that applies a Krylov solver and preconditioner to the blocks in a `MATSEQAIJ` matrix on the GPU using Kokkos

## Options Database Key

- -pc_bjkokkos_ - options prefix for its `KSP` options

## Note

For use with -ksp_type preonly to bypass any computation on the CPU

## Developer Notes

The documentation is incomplete. Is this a block Jacobi preconditioner?

Why does it have its own `KSP`? Where is the `KSP` run if used with -ksp_type preonly?

## See Also

KSP: Linear System Solvers, `PCCreate()`, `PCSetType()`, `PCType`, `PC`, `PCBJACOBI`, `PCSHELL`, `PCCOMPOSITE`, `PCSetUseAmat()`, `PCBJKOKKOSGetKSP()`

## Level

intermediate

## Location

src/ksp/pc/impls/bjacobi/bjkokkos/bjkokkos.kokkos.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages